## ros-one-sparse-bundle-adjustment 0.4.4-0jammy.20251023.0016

=== debian/changelog ===
ros-one-sparse-bundle-adjustment (0.4.4-0jammy.20251023.0016) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 00:16:51 +0000

ros-one-sparse-bundle-adjustment (0.4.4-0jammy) jammy; urgency=high

  * fix unitialized variable causing crashes (#10 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/10>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Mar 2020 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.3-0jammy) jammy; urgency=high

  * remove bouncing email from maintainers
  * Merge pull request #9 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/9> from seanyen/modern_cpp
    [windows] use modern cpp & more portable fixes
  * modernize cpp code & CMake files.
  * Changing maintainer email
  * Contributors: Luc Bettaieb, Michael Ferguson, seanyen

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 31 Jan 2020 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.2-0jammy) jammy; urgency=high

  * rework how we set the C++ standard
  * Merge pull request #6 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/6> from moriarty/set-cpp-11
    Set C++ 11
  * [Maintainers] Add myself as a maintainer
    Mostly so that I can see build failures.
  * [CMake][C++11] compile with -std=c++11
  * Contributors: Alexander Moriarty, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.1-0jammy) jammy; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/4> from moriarty/eigen-and-pkg-fmt-2
    Fixes Eigen3 warnings and bumps to package.xml format 2
  * Update email address so I see build failures
  * [REP-140] Package.xml format 2
  * fix deprecated eigen3 cmake warning
  * Contributors: Alexnader Moriarty, Michael Ferguson, Steffen Fuchs

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.0-0jammy) jammy; urgency=high

  * Merge pull request #3 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/3> from moriarty/melodic-devel
    [melodic-devel][18.04] fix compile errors
  * [melodic-devel][18.04] fix compile errors
    fix compile errors for newer gcc
  * Merge pull request #2 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/2> from ros-perception/maintainer-add
    Adding myself as a maintainer for sparse_bundle_adjustment
  * Adding myself as a maintainer for sparse_bundle_adjustment
  * Contributors: Alexander Moriarty, Luc Bettaieb, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.2-0jammy) jammy; urgency=high

  * major build/install fixes for the farm
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.1-0jammy) jammy; urgency=high

  * add depend on eigen
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.0-0jammy) jammy; urgency=high

  * import cleaned up sba (this is the version from wg)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 16 Jun 2014 00:00:00 -0000

## ros-one-sparse-bundle-adjustment 0.4.4-0jammy.20260220.2116

=== debian/changelog ===
ros-one-sparse-bundle-adjustment (0.4.4-0jammy.20260220.2116) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 20 Feb 2026 21:16:38 +0000

## ros-one-sparse-bundle-adjustment 0.4.4-0noble.20251023.0015

=== debian/changelog ===
ros-one-sparse-bundle-adjustment (0.4.4-0noble.20251023.0015) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Oct 2025 00:15:41 +0000

ros-one-sparse-bundle-adjustment (0.4.4-0noble) noble; urgency=high

  * fix unitialized variable causing crashes (#10 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/10>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 28 Mar 2020 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.3-0noble) noble; urgency=high

  * remove bouncing email from maintainers
  * Merge pull request #9 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/9> from seanyen/modern_cpp
    [windows] use modern cpp & more portable fixes
  * modernize cpp code & CMake files.
  * Changing maintainer email
  * Contributors: Luc Bettaieb, Michael Ferguson, seanyen

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 31 Jan 2020 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.2-0noble) noble; urgency=high

  * rework how we set the C++ standard
  * Merge pull request #6 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/6> from moriarty/set-cpp-11
    Set C++ 11
  * [Maintainers] Add myself as a maintainer
    Mostly so that I can see build failures.
  * [CMake][C++11] compile with -std=c++11
  * Contributors: Alexander Moriarty, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Thu, 23 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.1-0noble) noble; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/4> from moriarty/eigen-and-pkg-fmt-2
    Fixes Eigen3 warnings and bumps to package.xml format 2
  * Update email address so I see build failures
  * [REP-140] Package.xml format 2
  * fix deprecated eigen3 cmake warning
  * Contributors: Alexnader Moriarty, Michael Ferguson, Steffen Fuchs

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 21 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.4.0-0noble) noble; urgency=high

  * Merge pull request #3 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/3> from moriarty/melodic-devel
    [melodic-devel][18.04] fix compile errors
  * [melodic-devel][18.04] fix compile errors
    fix compile errors for newer gcc
  * Merge pull request #2 <https://github.com/ros-perception/sparse_bundle_adjustment/issues/2> from ros-perception/maintainer-add
    Adding myself as a maintainer for sparse_bundle_adjustment
  * Adding myself as a maintainer for sparse_bundle_adjustment
  * Contributors: Alexander Moriarty, Luc Bettaieb, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Aug 2018 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.2-0noble) noble; urgency=high

  * major build/install fixes for the farm
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.1-0noble) noble; urgency=high

  * add depend on eigen
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 17 Jun 2014 00:00:00 -0000

ros-one-sparse-bundle-adjustment (0.3.0-0noble) noble; urgency=high

  * import cleaned up sba (this is the version from wg)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Mon, 16 Jun 2014 00:00:00 -0000

## ros-one-sparse-bundle-adjustment 0.4.4-0noble.20260220.2122

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(sparse_bundle_adjustment)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 11)
endif()

find_package(catkin REQUIRED COMPONENTS roscpp)
find_package(Eigen3 REQUIRED)
find_package(suitesparse QUIET)
if(NOT SuiteSparse_FOUND)
  set(SuiteSparse_LIBRARIES blas lapack cholmod cxsparse)
endif()

include_directories(${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${SuiteSparse_INCLUDE_DIRS})
add_definitions(${EIGEN3_DEFINITIONS})
INCLUDE_DIRECTORIES(include)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES sba
)

add_definitions(-DSBA_CHOLMOD)

# SBA library
add_library(sba src/sba.cpp src/spa.cpp src/spa2d.cpp src/csparse.cpp src/proj.cpp src/node.cpp src/sba_file_io.cpp)
#rosbuild_add_compile_flags(sba ${SSE_FLAGS})
target_link_libraries(sba ${SuiteSparse_LIBRARIES})

install(DIRECTORY include/sparse_bundle_adjustment/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS sba
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-one-sparse-bundle-adjustment (0.4.4-0noble.20260220.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mfergs7@gmail.com>  Fri, 20 Feb 2026 21:22:44 +0000

=== debian/control ===
Source: ros-one-sparse-bundle-adjustment
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libblas-dev, libeigen3-dev, liblapack-dev, libsuitesparse-dev, ros-one-catkin, ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-sparse-bundle-adjustment
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-dev, libeigen3-dev, liblapack-dev, libsuitesparse-dev, ros-one-roscpp
Description: ROS wrapper for the sparse bundle adjustment (sba) library (needed for slam_karto)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-sparse-bundle-adjustment//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
